## GstTagSetter GstTagSetter |

## Functions

void | gst_tag_setter_reset_tags ()
void | gst_tag_setter_merge_tags ()
void | gst_tag_setter_add_tags ()
void | gst_tag_setter_add_tag_value ()
void | gst_tag_setter_add_tag_values ()
void | gst_tag_setter_add_tag_valist ()
void | gst_tag_setter_add_tag_valist_values ()
const GstTagList * | gst_tag_setter_get_tag_list ()
void | gst_tag_setter_set_tag_merge_mode ()
GstTagMergeMode | gst_tag_setter_get_tag_merge_mode ()

## Types and Values

| GstTagSetter
struct | GstTagSetterInterface

## Object Hierarchy

        GInterface
        ╰── GstTagSetter

## Prerequisites

GstTagSetter requires GstElement.

## Includes

    #include <gst/gst.h>

## Description

## Functions

### gst_tag_setter_reset_tags ()

    void
    gst_tag_setter_reset_tags (GstTagSetter *setter);

### gst_tag_setter_merge_tags ()

    void
    gst_tag_setter_merge_tags (GstTagSetter *setter,
                               const GstTagList *list,
                               GstTagMergeMode mode);

### gst_tag_setter_add_tags ()

    void
    gst_tag_setter_add_tags (GstTagSetter *setter,
                             GstTagMergeMode mode,
                             const gchar *tag,
                             ...);

### gst_tag_setter_add_tag_value ()

    void
    gst_tag_setter_add_tag_value (GstTagSetter *setter,
                                  GstTagMergeMode mode,
                                  const gchar *tag,
                                  const GValue *value);

### gst_tag_setter_add_tag_values ()

    void
    gst_tag_setter_add_tag_values (GstTagSetter *setter,
                                   GstTagMergeMode mode,
                                   const gchar *tag,
                                   ...);

### gst_tag_setter_add_tag_valist ()

    void
    gst_tag_setter_add_tag_valist (GstTagSetter *setter,
                                   GstTagMergeMode mode,
                                   const gchar *tag,
                                   va_list var_args);

### gst_tag_setter_add_tag_valist_values ()

    void
    gst_tag_setter_add_tag_valist_values (GstTagSetter *setter,
                                          GstTagMergeMode mode,
                                          const gchar *tag,
                                          va_list var_args);

### gst_tag_setter_get_tag_list ()

    const GstTagList *
    gst_tag_setter_get_tag_list (GstTagSetter *setter);

### gst_tag_setter_set_tag_merge_mode ()

    void
    gst_tag_setter_set_tag_merge_mode (GstTagSetter *setter,
                                       GstTagMergeMode mode);

### gst_tag_setter_get_tag_merge_mode ()

    GstTagMergeMode
    gst_tag_setter_get_tag_merge_mode (GstTagSetter *setter);

## Types and Values

### GstTagSetter

    typedef struct _GstTagSetter GstTagSetter;

### struct GstTagSetterInterface

    struct GstTagSetterInterface {
      GTypeInterface g_iface;

      /* signals */

      /* virtual table */
    };